# Uses of Interface
org.springframework.aop.framework.AopProxy

Packages that use AopProxy
Package
Description
org.springframework.aop.framework
Package containing Spring's basic AOP infrastructure, compliant with the AOP Alliance interfaces.

## Uses of AopProxy in org.springframework.aop.framework

Methods in org.springframework.aop.framework that return AopProxy
Modifier and Type
Method
Description
`AopProxy`
AopProxyFactory.`createAopProxy(AdvisedSupport config)`
Create an `AopProxy` for the given AOP configuration.
`AopProxy`
DefaultAopProxyFactory.`createAopProxy(AdvisedSupport config)`
`protected final AopProxy`
ProxyCreatorSupport.`createAopProxy()`
Subclasses should call this to get a new AOP proxy.
Methods in org.springframework.aop.framework with parameters of type AopProxy
Modifier and Type
Method
Description
`protected Object`
ProxyFactoryBean.`getProxy(AopProxy aopProxy)`
Return the proxy object to expose.